* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 9px;
    font-family: 'Didact Gothic', sans-serif;
    cursor: url(https://cur.cursors-4u.net/anime/ani-10/ani933.cur), auto;
}
html{
    scroll-behavior: smooth;
}
    /* Colores predeterminados */
:root { 
    --white-color: white;
    --blue--color: #0080bd;
    --bluedark--color: #006492;
    --shadow-black: rgba(14, 12, 28, 0.5);
}
a{
    text-decoration: none;
}

h1 {
    font-size: 15rem;
    color: var(--white-color);
}
h2{
    font-size: 5rem;
}

h4 {
    font-size: 2rem;
}
p {
    font-size: 1.8rem;
}

/******************** Header *************************/

.header {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    background-image: url(img/header.png);
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 100vh;
    gap: 50px;
}
.header h1, .header p {
    padding-left: 5rem;
}

.header p {
    width: 50%;
    color: var(--white-color);
    font-size: 2.3rem;
}

.header__container-img {
    display: flex;
    justify-content: center;
}
.header__container-img__img {
    width: 14rem;
    transition: .3s ease-in-out;
}
.header__container-img__img:hover{
    transform: scale(1.2);
}

/* Se agregan cambios de estilo hasta pantalla de maximo 576 px o sea pantallas de telefono */
@media only screen and (max-width: 575.98px) { 
    h1 {
        font-size: 6rem;
    }
    p {
        font-size: 1.6rem;
    }
    .header p {
        width: 100%;
    }
}
/* Se agregan cambios de estilo hasta pantallas máxima de 991. Osea de pantallas de tipo tablet. */
@media only screen and (max-width: 991.98px) { 
    .header {
        height: 100%;
    }
 }

/***************************** Main ***********************************/

.main__animations {
    width: 100%;
    max-width: 1400px;
    margin-right: auto;
    margin-left: auto;
    margin-top: 100px;
    margin-bottom: 100px;
 }

.main__animations h2 {
    text-align: center;
    margin-top: 10rem;
}
.main__filtersAndCount {
    display: flex;
    flex-wrap: wrap;
    justify-content:space-around;
    margin-top: 50px;
}
/* contador*/
.countFilms{
    font-size: 2rem;
}
.countBlue{
    color: var(--blue--color);
    font-size: 2rem;
}
.countFilms {
    margin-bottom: 20px;
}
.filters {
    display: flex;
    justify-content: flex-end;
    gap: 0px 10px;
}
.filters a{
    text-decoration: none;
    text-align: center;
    width: 75px;
    height: 25px;
    font-size: 16px;
    border-radius: 5px;
    background-color: var(--blue--color);
    color: var(--white-color);
}
.filters a:hover{
    background-color: var(--bluedark--color);
}
.filters select {
    width: 95px;
    height: 25px;
    font-size: 16px;
    border-radius: 5px;
    border: 1px solid var(--blue--color);
}
.filters .filters__initial{
    width: 50px;
}
.filters .filters__year{
    width: 50px;
}
select option {
    font-size: 16px;
}
.animations {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 70px;
    margin-top: 50px;
}
.animations__card {
    width: 300px;
    height: 460px;
    border-radius: 8px;
    box-shadow: 0px 1px 10px var(--shadow-black);
    /* ease-in-out: Comienza lentamente, será más rápido en la mitad de la animación y luego terminará lentamente. */
    transition: .3s ease-in-out;
    text-align: center;
}
.animations__card:hover  {
    transform: scale(1.05);
}
.animations__card__img {
    width: 100%;
    height: 300px;
    border-radius: 8px 8px 0px 0px;
    
}
.animations__card h4 {
    padding: 15px;
}
.animations__card p {
    padding: 0 10px;
}
.animations__card .black{
    font-weight: bold;
    font-size: 1.8rem;
}
@media only screen and (max-width: 320px) { 
    .filters {
      display: flex;
      flex-direction: column;

  }
}

@media only screen and (max-width: 520px) { 
      .filters {
        justify-content: center;
        margin-top: 30px;
    }
}

/***************** Página peliculas Peliculas ***********************/

.movie__header {
    display: inline-block;
    width: 100%;
    height: 100px;
    background-color: var(--blue--color);
    text-align: center;
    padding: 10px 0;
}

.movie__header__h1{
    font-size: 6rem;
    color: var(--white-color);
}

.movie__container{
    display: flex;
    flex-wrap: wrap;
    margin: 30px 0;
}

.movie__sidebar {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    border-right: 1px solid;
    margin-left: 50px;
    flex: 300px;
    height: 100vh;
    position: sticky;
    top: 0;
}

.movie__sidebar h4{
    font-size: 3em;
}
.movie__sidebar .black{
    font-weight: bold;
    font-size: 2rem;
}
.movie__sidebar p{
    font-size: 2rem;
}
.movie__sidebar__img {
    width: 30em;
    margin: 20px 0px;
}
.movie__sidebar__button{
    background-color: var(--blue--color);
    color: var(--white-color);
    box-shadow: 2px 2px 5px var(--shadow-black);
    font-size: 1.8rem;
    border-radius: 30px;
    padding: 5px 25px;
    margin-top: 30px;
    font-size: 16px;
}
.movie__sidebar__button:hover{
    background-color: var(--bluedark--color);
}

/* pestañas dinamicas */
.movie__mainContent {
	display: flex;
	flex-wrap: wrap; /* make sure it wraps*/
    justify-content: space-between;
    margin: 0 70px 0 30px;
    height: 100%;
    flex: 60%;
}
.movie__mainContent label {
	order: 1; /* Put the labels first*/
	padding: 0px 50px;
    padding-bottom: 5px;
    text-align: center;
    font-size: 20px;
    color: var(--white-color);
    background-color: var(--blue--color);
    border-top: 2px var(--blue--color) solid;
    border-left: 2px var(--blue--color) solid;
    border-right: 2px var(--blue--color) solid;
    border-radius: 15px 15px 0 0;
    transition: ease 0.2s;
}
.movie__mainContent label:hover{
    background-color: var(--bluedark--color);
}
.movie__mainContent .tab {
    order: 99; /* Put the tabs last*/
    flex-grow: 1;
	width: 100%;
	display: none;
    margin-top: 30px;
    
}
.movie__mainContent .tab p{
    font-size: 20px;
}
.movie__mainContent input[type="radio"] {
	display: none;
}
.movie__mainContent input[type="radio"]:checked + label {
	background: var(--white-color);
    color: black;
}
.movie__mainContent input[type="radio"]:checked + label + .tab {
	display: block;
}

@media only screen and (max-width: 575.98px) { 
    .movie__header {
        height: 200px;
    }
    .movie__header__h1 {
        text-align: center;
        font-size: 5rem;
        margin-top: 50px;
    } 
}

@media only screen and (max-width: 1123px) { 
    .movie__sidebar {
        position:static;
        height: 38rem;
        margin-left: 0px;
        border-right: none;
    }
    .movie__sidebar__img {
        width: 20rem;
        height: 20rem;
        margin: 20px 0px;
    }
    .movie__sidebar p{
        display: none;
    }
    .movie__mainContent {
        margin: 70px 10px;
    }
    .movie__mainContent .tab,
    .movie__mainContent label {
      order: initial;
    }
    .movie__mainContent label {
      width: 100%;
      margin-right: 0;
      margin-top: 0.2rem;
      padding: 0px;
    }
}


/************************** Sección descripción ************/

.movie__description {
    max-height: 100vh;
    margin: 5rem 0;
}
/****************** Sección Personajes  **********************/

.characters__filtersAndCount {
    margin-bottom: 30px;
}
.movie__mainContent__card {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 30px 0px;
}

.movie__img {
    width: 26rem;
    height: 26rem;
    border-radius: 8px;
    box-shadow: 0px 1px 10px var(--shadow-black);
    transition: .3s ease-in-out;
    object-fit: cover;
}

.movie__mainContent__card .movie__img:hover {
    transform: scale(1.05);
}
/*************** PopUp Personajes ************/
.overlay {
    background: rgba(0, 0, 0, 0.5);
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    visibility: hidden;
}
.overlay.active {
    visibility: visible;
}
.popup {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    background: var(--white-color);
    box-shadow: 0px 0px 15px 0px rgba(12, 73, 163, 0.781);
    border-radius: 5px;
    padding: 25px;
    width: 60%;
    height: 55%;
    transition: .3s ease all;
    transform: scale(0.7);
    opacity: 0;
}
.popup img{
    width: 40%;
    object-fit: cover;
}
.popup .character__description{
    width: 60%;
    padding-left: 20px;
}
.popup .character__description h5 {
    color: var(--blue--color);
    font-size: 30px;
    font-weight: 600;
    margin-bottom: 10px;
}
.popup .character__description p{
    font-size: 18px;
    line-height: 24px;
}
.popup .character__description .black{
    font-size: 18px;
    font-weight: bold;
}
.btn__cerrar__popup{
    padding: 5px 20px;
    margin-top: 20px;
    color: #fff;
    background: var(--blue--color);
    border: none;
    border-radius: 15px;
    box-shadow: 2px 2px 5px gray;
    font-size: 14px;
    transition: .3s ease all;
}
.btn__cerrar__popup:hover{
    background: var(--bluedark--color);
} 
.popup.active {opacity: 1; transform: scale(1); /*animacion*/
}

/* Sección grafico  */

.background {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: flex-end;
    gap: 30px;
    height: 100px;
    margin-top: 150px;
    margin-bottom: 80px;
}
.background img{
    height: 90px;
}
.background h2{
   color: var(--blue--color);
}

.graphic {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    height: 400px;
    margin: 0 50px;
}
 .graphic__imgTotoro{
    height: 70vh;
}
.graphic__imgTotoro--tamaño {
    width: 60%;
    animation: arribaAndAbajo 5s infinite linear; 
}
.graphic__canvas {
    width: 40%;
}

@keyframes arribaAndAbajo {
	0% {
		margin-top: 5px;

	}
	25% {
		margin-top: 10px;
		
	}
	50% {
		margin-top: 20px;
		
	}
	75% {
		margin-top: 10px;
		
	}
	100% {
		margin-top: 5px;
		
	}
}
 
@media only screen and (max-width: 575.98px) { 
    .graphic__imgTotoro{
        height: 10vh;
    }
    .graphic__imgTotoro--tamaño {
        width: 100%;
     }
    .graphic__canvas {
         width: 100vw;
    }
 }
 
 @media only screen and (max-width: 991.98px){
      .background img{
        height: 6.8rem;
        
    }
    .background h2{
       color: var(--blue--color);
       font-size: 4rem;
    }
     .graphic {
         margin-bottom: 45%;
     }
    .graphic__imgTotoro{
        height: 50%;
    }
    .graphic__imgTotoro--tamaño {
        width: 100%;
        height: 100%;
    }
    .graphic__canvas {
         width: 90%;
     }
 }

 /*************************** Footer ***************************/

footer {
    width: 100%;
    height: 8rem;
    text-align: center;
    line-height: 8rem;
    background-color: var(--blue--color);
    color: var(--white-color);
}
